function get(id){
    return document.getElementById(id).value;
}

//---- RECUPERA PARAMETRO DE LA URL -----------

function parametro( name ){
	var regexS = "[\\?&]"+name+"=([^&#]*)";
	var regex = new RegExp ( regexS );
	var tmpURL = window.location.href;
	var results = regex.exec( tmpURL );
	if( results == null )
		return"";
	else
		return results[1];
}

//------MOSTRAR ROLES CUANDO PIERDE EL FOCO CODIGO  --------------------
    $(document).ready(function(){
                $("#usuario_codigo").blur(function(){
                    $.ajax({
                    url:"ajax.php",
                    type: "POST",
                success: function(opciones){$("#roles").html(opciones);}})});});

//----------------------------------------------------------------------------
function Espacios(ele) {

    if (/\s/.test(ele.value)) { 
        alert("NO SE PERMITEN ESPACIOS EN BLANCO");
        return 0;
    }
    
}

//----  VALIDAR CODIGO QUE EXISTA DE ALUMNO - DOCENTE --------------------------

   $(document).ready(function(){
                $("#roles").change(function(){

                var v1=get('usuario_codigo');
                var rol=get('roles');


                //----------------------------------
                if (v1=="") {
                    alert("Digite C&oacute;digo");
                    return 0;
                }

                if ((rol=="1" || rol=="2") && (v1!=""))  {

                   var parametros = {"accion":'verificar_codigo',
                                   "rol" :rol,
                                   "codigo" :v1
                           };
                    $.ajax({
                    data:  parametros,
                    url:"comprobar.php",
                    type: "POST",
                    success: function(opciones){
                             if(opciones=="NO EXISTE_1"){
                                alert("NO EXISTE C&oacute;DIGO DE DOCENTE");
                             }

                             if(opciones=="NO EXISTE_2"){
                                alert("NO EXISTE C&oacute;DIGO DE ESTUDIANTE");
                             }
                             
                             if(opciones=="YA EXISTE_1"){
                                alert("YA EXISTE C&oacute;DIGO CON EL ROL DE DOCENTE");
                             }

                             if(opciones=="YA EXISTE_2"){
                                alert("YA EXISTE C&oacute;DIGO CON EL ROL DE ESTUDIANTE");
                             }
                    }})

               }

    });
  });



//----  GRABAR DATOS CUANDO SE DA CLICK ---------------------------------------

    $(document).ready(function(){
                $("#registrar").click(function(){

                var v1=get('usuario_codigo');
                var rol=get('roles');
                var palabra=get('usuario_palabra');
                var v2=get('usuario_nombre');
                var v3=get('usuario_clave');
                var v4=get('usuario_clave_conf');
                var v5=get('usuario_email');

                //----------------------------------
                if (v1=="") {
                    alert("Digite C&oacute;digo");
                    return 0;
                }

                  if (rol=="0") {
                    alert("Seleccione Rol");
                    return 0;
                }
                if (palabra=="") {
                    alert("Digite Palabra de Registro");
                    return 0;
                }


                if (v2=="") {
                    alert("Digite Usuario");
                    return 0;
                }
                if (v3=="") {
                    alert("Digite Contrase&ntilde;a")
                    return 0;
                }
                if (v4=="") {
                    alert("Confirmar Contrase&ntilde;a")
                    return 0;
                }

                 if (v3!= v4) {
                    alert("No coinciden las Contrase&ntilde;as")
                    return 0;
                }

                if (v5=="") {
                    alert("Digite Email")
                    return 0;
                }

                //-------Validamos Espacios en Blanco ------

                if (/\s/.test(get('usuario_nombre'))){
                     alert("El Usuario contiene espacios en blanco");
                    return 0;
                }

                // ------ Validar Correo Electronico-----


                var re  = /^([a-zA-Z0-9_.-])+@(([a-zA-Z0-9-])+.)+([a-zA-Z0-9]{2,4})+$/;
                if (!re.test(get('usuario_email'))) {
                    alert ("Direcci&oacute;n de email inv&aacute;lida");
                    return false;
               } 


                //---------------------------------
                 var parametros = {"accion":'grabar_registro',
                                   "usuario_rol" :rol,
                                   "usuario_palabra" :palabra,
                                   "usuario_codigo" :v1,
                                   "usuario_nombre" :v2,
                                   "usuario_clave" :v3,
                                   "usuario_clave_conf" :v4,
                                   "usuario_email" :v5
                           };
                    $.ajax({
                    data:  parametros,
                    url:"comprobar.php",
                    type: "POST",
                success: function(opciones){
                   alert(opciones);
                }})});});


//----  MODIFICAR CONTRASENA - DATOS CUANDO SE DA CLICK EN EL BOTON GRABAR  ---------------

    $(document).ready(function(){
                $("#grabar").click(function(){

                var v1=parametro('usuario')
                
                var v3=get('clave');
                var v4=get('clave_conf');
                var v5=get('email');

                //----------------------------------

                if (v3=="") {
                    alert("Digite Contrase&ntilde;a")
                    return 0;
                }
                if (v4=="") {
                    alert("Confirmar Contrase&ntilde;a")
                    return 0;
                }

                 if (v3!= v4) {
                    alert("No coinciden las Contrase&ntilde;as")
                    return 0;
                }

                if (v5=="") {
                    alert("Digite Email")
                    return 0;
                }


                // ------ Validar Correo Electronico-----

                var re  = /^([a-zA-Z0-9_.-])+@(([a-zA-Z0-9-])+.)+([a-zA-Z0-9]{2,4})+$/;
                if (!re.test(get('email'))) {
                    alert ("Direcci&oacute;n de email inv&aacute;lida");
                    return false;
               }


                //---------------------------------
                 var parametros = {"accion":'grabar_clave_nueva',
                                
                                   "usuario" :v1,
                                   "clave" :v3,
                                   "email" :v5
                           };
                    $.ajax({
                    data:  parametros,
                    url:"comprobar.php",
                    type: "POST",
                success: function(opciones){
                   alert(opciones);
                }})});});
//------------------------------------------------------------------------------


function Cargar(){



var v1=get('usuario');
var v2=get('clave');




if (v1=="") {
    alert("Digite Usuario");
    return 0;
}
if (v2=="") {
    alert("Digite contrase&ntilde;a");
    return 0;
}

//----------------------
var parametros = {"accion":'Ingresar',
                  "usuario" :v1,
                  "clave" :v2   
               };
        $.ajax({

                data:  parametros,
                url:   'comprobar.php',
                type:  'post',
                success:function (response){

               
                 if  (response=='Datos Incorrectos'){
                        alert("DATOS INCORRECTO");

                 }
                 else{

                     var elem = response.split('-');
                     cod = elem[0];
                     rol = elem[1];              

                    if (rol=='1'){                     
                        document.location.href="menu_profesor.php?id="+cod;
                    }

                    if (rol=='2'){
                        document.location.href="notas_periodo.php?id="+cod;
                    }

                    if (rol=='3'){
                        document.location.href="generar_scripts.php";
                    }

                    if (rol=='4'){
                        document.location.href="menu.php";
                    }

                 }
         
                }
        });
}


//----------------------------------

function Registrarse(){

document.location.href="registro.php";
    
}

//----------------------------------


function Grabar_Registro(){

// alert("response");

        $.ajax({

                url:   'comprobar1.php',
                type:  'post',
                success:function (response){
                        alert(response);
                }
        });

}


// ---------------------------------


function mostrar_bdatos(){
 var rol=document.getElementById('rol').value;

if (rol=="0") {
    alert("Seleccione Rol");
    return 0;
}
  $("#dialog").dialog({
          width: 200,
          height: 150

  });
   var parametros = {"accion":'listado',"rol":rol};
                    $.ajax({
                    data:  parametros,
                    url:"mostrar_bdatos.php",
                    type: "POST",
                success: function(opciones){$("#dialog").html(opciones);}})
}

//---------------------------

function mostar_logros_saber(){

  document.location.href="logros_saber/logros_profesor.php";

}

//---------------------------

function mostar_logros_hacer(){

  document.location.href="logros_hacer/logros_profesor.php";

}

//---------------------------

function mostar_logros_ser(){

  document.location.href="logros_ser/logros_profesor.php";

}
//---------------------------

function Cargar1(){
var v1=get('usuario');
var v2=get('clave');

if (v1=="") {
    alert("Digite Usuario");
    return 0;
}
if (v2=="") {
    alert("Digite contrase&ntilde;a");
    return 0;
}

var parametros = {"accion":'cambiar_clave',
                          "usuario" :v1,
                          "clave" :v2                       
                           };
        $.ajax({
                data:  parametros,
                url:   'comprobar.php',
                type:  'post',
                success:function ( response){
                         if (response=='NO EXISTE'){
                             alert("NO EXISTE USUARIO O CONTRASE&ntilde;A");
                         }
                         else{
                             document.location.href="cambiar_contrasena.php?usuario=" +v1;
                         }
                }
        });

}
//----------------------------------
function Cargar2(){

var v1=get('usuario');

if (v1=="") {
    alert("Digite Usuario");
    return 0;
}

var parametros = {"accion":'recuperar_clave',
                          "usuario" :v1                   
                           };
        $.ajax({
                data:  parametros,
                url:   'comprobar.php',
                type:  'post',
                success:function (response){                        
                        alert(response);                                              
                }
        });

}

//----------------------------------

function Descargar_Boletin(){

   document.location.href="boletin_academico_alumno/boletin.php?action=boletin_acd";

}

//----------------------------------

function Descargar_Boletin_Parcial(){

   document.location.href="boletin_academico_parcial/boletin.php?action=boletin_acd";

}

//----------------------------------

function mostar_planilla(){

  document.location.href="labor_academica.php";
  
}

function mostar_logros(){

  var cod=parametro('id');
  document.location.href="logros_profesor/logros_profesor.php?id="+cod;

}

function mostar_listados(){
    // Rol 1  = Docente
    var cod=parametro('id');
    window.location.href='listados_coordinador/listados.php?rol=1&id='+cod;
    
}

//----------------------------------

function mostar_recuperaciones(){
    // Rol 1  = Docente
    var cod=parametro('id');
   
    window.open("recuperaciones/listado_recuperaciones.php?rol=1&id="+cod);
}

//----------------------------------



function mostar_habilitaciones(){
  var cod=parametro('id');
  document.location.href="habilitaciones/listados.php?id="+cod;

}

//----------------------------------
function actualizar_profesor(){

 var cod=parametro('id');
 var nom=document.getElementById('nombres').value

 var parametros = {"accion":'actualizar_docente',"cedula":cod,"nombres":nom};
        $.ajax({
                data:  parametros,
                url:   'alumnos_docentes/consultas.php',
                type:  'post',
                success:function (response){

                    alert(response);

           }
        });

}


function mostrar_profesor(){

var cod=parametro('id');

var parametros = {"accion":'mostrar_docente',"cedula":cod};
        $.ajax({
                data:  parametros,
                url:   'alumnos_docentes/consultas.php',
                type:  'post',
                success:function (response){

                    $("#profesor").html(response);
                       
           }
        });

}

//-----------------------------------


function mostrar_lista(secuencia,rol){

       //alert("Secuencia:"+secuencia+" * Rol:"+rol);
       //return 0;


       var parametros = {"accion":'seleccionar',
                          "secuencia" :secuencia,
                          "rol" :rol
                        };
        $.ajax({
                data:  parametros,
                url:"mostrar_bdatos.php",
                type:'post',
                success:function (response){
                     
                     //alert(response);
                     
                }
        });

    

    $("#dialog").click(function () {

                        // -- Cuando se da click o se selecciona una base de datos ----

                        var v1=get('usuario');
                        var v2=get('clave');

                        var parametros1 = {"accion":'Ingresar',"usuario" :v1,"clave" :v2};

                         $.ajax({

                                data:  parametros1,
                                url:   'verificar_2.php',
                                type:  'post',
                                success:function (response){

                                   //alert(response);
                                   
                                   
                                   if  (response=='Datos Incorrectos'){
                                       alert("DATOS INCORRECTOS");
                                   }
                                   else{

                                        var elem = response.split('-');
                                        cod = elem[0];
                                        rol = elem[1];

                                        if (rol=='1'){
                                            document.location.href="menu_profesor.php?id="+cod+"&rol=1";
                                        }

                                        if (rol=='2'){
                                            document.location.href="menu_estudiante.php?id="+cod+"&rol=2";
                                        }

                                        if (rol=='4'){
                                           document.location.href="menu.php";
                                        }


   
                                       if (rol=='6'){
                                           document.location.href="menu_secretaria.php";
                                       }

                                   }
                                }
                         });

            $(this).dialog('close');
       
    });

}

//-------------------------------------------

function activar_alumno(){
    
   var cod=parametro('id');

   var parametros = {"accion":'titularidad',"docente":cod};
        $.ajax({
                data:  parametros,
                url:   'autorizar_boletin/consultas.php',
                type:  'post',
                success:function (response){

                    if (response=='1'){
                        alert("NO AUTORIZADO");
                        exit;
                    }else{

                        var elem = response.split('-');

                        var grado = elem[0];
                        var curso = elem[1];

                        document.location.href="autorizar_boletin/boletin.php?id="+cod+"&grado="+grado+"&curso="+curso;
                        
                    }

           }
        });
   
}

//------------------------------------------------

function nuevo_usuario(){
  
  var usuario=document.getElementById('usuario').value
  var password=document.getElementById('password').value

  if (usuario=="") {
    alert("Digite Usuario");
    return 0;
}

  if (password=="") {
    alert("Digite Contrase&ntilde;a");
    return 0;
}


   var parametros = {"accion":'cambiar_usuario',"usuario":usuario,"password":password};
        $.ajax({
                data:  parametros,
                url:   'comprobar.php',
                type:  'post',
                success:function (response){
                        alert(response);   
           }
        });

}
